from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class FillDateMode(IntEnum):
    FILL_DATE_DAY = auto()
    FILL_DATE_WEEKDAY = auto()
    FILL_DATE_MONTH = auto()
    FILL_DATE_YEAR = auto()
